at.chipkarte.client.prop.soap

## Class AnamneseGruppe

- Object
- - at.chipkarte.client.prop.soap.AnamneseGruppe

-     public class AnamneseGruppe
      extends Object

  Beinhaltet Informationen zu der Gruppe selbst (Anzeigetext und Codewert) sowie die Risikogruppen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnamneseGruppe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnamneseGruppeCode()` Code der Anamnesegruppe.
    `String` | `getAnamneseGruppeText()` Textuelle Beschreibung der Anamnesegruppe.
    `RisikoGruppe[]` | `getRisikoGruppe()` Zu der Anamnesegruppe gehörige `Risikogruppen`.
    `void` | `setAnamneseGruppeCode(String anamneseGruppeCode)`
    `void` | `setAnamneseGruppeText(String anamneseGruppeText)`
    `void` | `setRisikoGruppe(RisikoGruppe[] risikoGruppe)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnamneseGruppe

          public AnamneseGruppe()

  - ### Method Detail

    - #### getAnamneseGruppeText

          public String getAnamneseGruppeText()

      Textuelle Beschreibung der Anamnesegruppe.
      Format: 150-stellig.
      Returns:
        Beschreibung der Anamnesegruppe

    - #### setAnamneseGruppeText

          public void setAnamneseGruppeText(String anamneseGruppeText)

    - #### getAnamneseGruppeCode

          public String getAnamneseGruppeCode()

      Code der Anamnesegruppe.
      Format: 6-stellig.
      Returns:
        Code der Anamnesegruppe.

    - #### setAnamneseGruppeCode

          public void setAnamneseGruppeCode(String anamneseGruppeCode)

    - #### getRisikoGruppe

          public RisikoGruppe[] getRisikoGruppe()

      Zu der Anamnesegruppe gehörige `Risikogruppen`.
      Returns:
        Risikogruppe

    - #### setRisikoGruppe

          public void setRisikoGruppe(RisikoGruppe[] risikoGruppe)